<?php
/*
Plugin Name: Horoscop
Plugin URI: http://wordpress.org/extend/plugins/horoscop/
Description: Creează un widget ce afişează cele 12 zodii. După activarea pluginului, widget-ul este creat automat în meniul Aspect > Widget-uri. De acolo se poziţionează după preferinţe. <strong>Pluginul se activează şi funcţionează doar cu modulul allow_url_fopen activat</strong>.
Version: 1.5.8
Author: Vlădut ILIE
Author URI: http://vladilie.ro/
License: GPL2
*/
/*  Copyright 2013  Vlădut ILIE  (email: vladilie94@gmail.com)

	Preluarea informaţiilor de către acest plugin, se face cu permisiunea editorului Dana Mîndru de la www.acvaria.com,
	acord acceptat, în scris, în data de 20 august 2012.
	Orice fel de acţiune efectuată asupra informaţiilor preluate de către acest plugin, încalcă în mod direct
	legea privind drepturile de autor cu referire la siteul www.acvaria.com.
	
	Acvaria (R) este marcă înregistrată a firmei Acvaria.
	Este interzisă reproducerea integrală sau parţiala a textelor conţinute în www.acvaria.com fara acordul autorului.
*/
if ( !function_exists( 'add_action' ) ) exit( 'Salut! Ce mai faci?<br/>Ceea ce cauti nu este aici, nu? Ma gandeam eu :)' );
define( 'IMAGES_HOROSCOP_DIR', plugin_dir_url( __FILE__ ) . 'images/' );
$signs = array( 'berbec', 'taur', 'gemeni', 'rac', 'leu', 'fecioara', 'balanta', 'scorpion', 'sagetator', 'capricorn', 'varsator', 'pesti' );
class Horoscop extends WP_Widget {
	public function __construct() {
		parent::__construct(
			'Horoscop', // Base ID
			'Horoscop', // Name
			array( 'description' => __( 'Afişează cele 12 zodii pe site.' ), ) // Args
		);
	}
	public function widget( $args, $instance ) {
		extract( $args );
		$title = apply_filters( 'widget_title', $instance['title'] );
		echo $before_widget;
		if ( ! empty( $title ) )
			echo $before_title . $title . $after_title;
		$code = '<script language="javascript" type="text/javascript">
		function pop_up( url )
		{
			newwindow = window.open( url, "'.$instance['title'].'", "height=230,width=500" );
			if ( window.focus )
			{
				newwindow.focus();
			}
			return false;
		}
		</script>';
		global $signs;
		$i = 1;
		foreach ( $signs AS $sign )
		{
			if ( $i == 4 ) {
				$br = '<br/>';
				$i = 0;
			} else $br = '';
			$i++;
			$code .= '<a href="horoscop/' . $sign . '" title="' . $sign . '" onclick=\'return pop_up("horoscop/' . $sign . '")\'><img src="' . IMAGES_HOROSCOP_DIR . $sign . '.png" style="padding: 1px;" alt="' . $sign . '"/></a>' . $br;
		}
		echo $code;
		echo $after_widget;
	}
	public function update( $new_instance, $old_instance ) {
		$instance = array();
		$instance[ 'title' ] = strip_tags( $new_instance[ 'title' ] );
		return $instance;
	}
	public function form( $instance )
	{
		if ( isset( $instance[ 'title' ] ) ) {
			$title = $instance[ 'title' ];
		} else {
			$title = __( 'Horoscop' );
		}
		?>
		<p>
		<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Titlu:' ); ?></label>
		<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>"/>
		</p>
		<?php
	}
}
add_action( 'widgets_init', create_function( '', 'register_widget( "Horoscop" );' ) );

function clean_rewrites()
{
	global $wp_rewrite;
	$wp_rewrite->flush_rules();
}
function add_rewrites()
{
	global $wp_rewrite;
	$rules = array( 'horoscop/([^/\.]+)/?$' => 'wp-content/plugins/horoscop/horoscop.php?zodie=$1' );
	$wp_rewrite->non_wp_rules = $rules + $wp_rewrite->non_wp_rules;
}
add_action( 'generate_rewrite_rules', 'add_rewrites' );
add_action( 'admin_init', 'clean_rewrites' );

/*
	@function: auto_deactivate(), cleanup_horoscop()
	@since: 1.4.5
*/
function auto_deactivate() {
	$plugin = plugin_basename( __FILE__ );
	if ( is_plugin_active( $plugin ) && !ini_get( 'allow_url_fopen' ) ) {
		deactivate_plugins( $plugin );
		echo '<div class="error"><p>'.__( 'Din pacate pluginul <b>Horoscop</b> nu a fost activat.<br/>Modulul PHP "allow_url_fopen" nu este functional si din aceasta cauza, pluginul nu poate fi folosit. Eventual, contactati firma dumneavoastra de hosting in legatura cu aceasta problema.' ) . '</p></div>';
		unset( $_GET[ 'activate' ] );
	}
}
add_action( 'admin_init', 'auto_deactivate' );

function cleanup_horoscop() {
	delete_option( 'widget_horoscop' );
	flush_rewrite_rules();
}
register_deactivation_hook( __FILE__, 'cleanup_horoscop' );
?>
